Skip to main content
Version: 0.9.0

Company API

Download this API's OpenAPI YAML

The Company Information API provides comprehensive company information by querying nationally recognized business registers across our primary service regions.

How It Works​

When you perform a search through our API, the system responds with a list of companies that match the provided query parameters. The results include each company's legal name and its nationally recognized organization number together with a lookup_id that can be used to get more detailed information by calling the Get Company endpoint.

Referencing a company across Two's APIs​

When looking up a company with the Get Company endpoint, the canonical_id field of the returned company objects represents the "canonical company ID", which can be used across Two's portfolio of APIs when a company needs to be referenced. An example of this is the create order endpoint, requiring a reference to the buyer company.

Importance in the Checkout API​

As part of our checkout-api (order creation service), the billing address is a required field in our schema. For merchants who may not initially have the company name, organization number, or billing address for their business buyers, starting with the Search API provides an efficient way for your users to directly identify their business.

Environments​

Testing​

https://api.sandbox.two.inc/companies/v2

Note: Read about our sandbox environment specific behaviour.

Production​

https://api.two.inc/companies/v2

Authentication​

Security Scheme Type:

apiKey

Header parameter name:

X-Api-Key